#
# spec file for package ghostview
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ghostview
Version:        1.5
Release:        446.6
Summary:        Ghostview
License:        GPL-2.0-or-later
Group:          Productivity/Publishing/PS
URL:            http://pages.cs.wisc.edu/~ghost/gv/index.htm
Source:         ghostview-1.5.tar.bz2
Source1:        ghostview.desktop
Source2:        ghostview.png
Patch0:         ghostview-1.5.dif
Patch1:         ghostview-1.5-ad.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  imake
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
Provides:       ghstview
Provides:       gsview
Obsoletes:      gsview
Requires:       ghostscript_x11
Conflicts:      gs_serv
Conflicts:      gs_vga
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults

%description
Ghostview offers an X11 GUI for viewing PostScript files. This is an
X11 interface to ghostscript.

%prep
%autosetup -p0

%build
xmkmf -a
make CCOPTIONS="%{optflags}" %{?_smp_mflags}

%install
make install     DESTDIR=%{buildroot}
make install.man DESTDIR=%{buildroot}
%suse_update_desktop_file -i ghostview Office Viewer

%files
%defattr(-,root,root)
/usr/share/applications/ghostview.desktop
/usr/share/pixmaps/ghostview.png
%{_bindir}/ghostview
%dir %{_appdefdir}
%config %{_appdefdir}/Ghostview
%doc %{_mandir}/man1/ghostview.1x.gz

%changelog
* Tue Feb 27 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Mon Feb 26 2018 crrodriguez@opensuse.org
- Remove deprecated buildrequires on xorg-x11-devel metapackage
* Wed Oct  8 2014 jengelh@inai.de
- Enable parallel build and remove old specfile tags/sections
* Tue Nov  8 2011 werner@suse.de
- Add Num_Lock as modifire for Button Down (bnc#727906)
* Tue Apr  8 2008 werner@suse.de
- Resolve file conflict by renaming gv.png to ghostview.png
* Sun Jan 13 2008 coolo@suse.de
- remove desktop-data from buildrequires
* Thu Jul  5 2007 coolo@suse.de
- put desktop file and icon into package
* Thu Nov  9 2006 werner@suse.de
- Get file stat before using it (bug #216970)
* Thu Aug 24 2006 werner@suse.de
- Don't package icon already present in desktop-data-SuSE
* Wed Aug  2 2006 werner@suse.de
- Make it build with X11R7
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Thu May 12 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Nov 17 2004 werner@suse.de
- Add gv.png pixmap to file list
* Wed Apr 28 2004 werner@suse.de
- Avoid compiler warnings
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Fri Jun 13 2003 kukuk@suse.de
- Rename to ghostview [Bug #27088]
- Add BuildRoot
- Fix filelist
* Fri Nov  8 2002 werner@suse.de
- Remove XCOMM definition to make new cpp happy
* Sat Dec  9 2000 nashif@suse.de
- sorted
* Mon Sep 20 1999 ro@suse.de
- added Requires ghostscript_x11
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 ro@suse.de
- dont redeclare sys_errlist for glibc
* Thu Feb 13 1997 werner@suse.de
- Compiled and packed under X11R6.1
